Bug 1479271 - OpenSSH Server Crypto Policy
OpenSSH Server Crypto Policy
Status: ON_QA
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jakub Jelen
ChangeAcceptedF27, SelfContainedChange
:
Depends On: 1477613
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 04:42 EDT by Jan Kurik
Modified: 2017-09-06 10:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2017-08-08 04:42:19 EDT
This is a tracking bug for Change: OpenSSH Server Crypto Policy
For more details, see: https://fedoraproject.org//wiki/Changes/OpenSSH_Server_Crypto_Policy

OpenSSH clients follow the system-wide crypto policy since Fedora 26.
This F27 change modifies the openssh server configuration to adhere to the system-wide policy.
That will allow openssh server configuration to adapt to the multiple security levels offered system-wide.
Comment 1 Jakub Jelen 2017-08-08 05:53:17 EDT
The change should be already in Rawhide and depends on the following SELinxu bug:

https://bugzilla.redhat.com/show_bug.cgi?id=1477613
Comment 2 Jan Kurik 2017-08-15 04:11:12 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Jan Kurik 2017-09-06 09:38:21 EDT
On 2017-Sep-05 we reached the "Change Checkpoint: 100% Code Complete Deadline" milestone for Fedora 27 release. At this point all the Changes not at least in "ON_QA" state should be brought to FESCo for review. Please update the state of this bug to "ON_QA" if it is already 100% completed. Please let me know in case you have any trouble with the implementation and the Change needs any help or review.

Thanks, Jan
Comment 4 Jakub Jelen 2017-09-06 10:39:46 EDT
We are done here for some time. Sorry that I didn't change the status before. Fixed now.

Note You need to log in before you can comment on or make changes to this bug.